> ## Documentation Index
> Fetch the complete documentation index at: https://lightsage.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve Eval Config



## OpenAPI

````yaml /openapi.json get /v1/api-performance/config
openapi: 3.1.0
info:
  title: Lightsage Public API
  description: Public API for Lightsage CLI and external integrations.
  version: 1.0.0
servers:
  - url: https://api.lightsage.com
    description: Production
security: []
paths:
  /v1/api-performance/config:
    get:
      tags:
        - API Performance
      summary: Retrieve Eval Config
      operationId: api_performance_config_retrieve
      parameters:
        - name: source_id
          in: query
          required: false
          schema:
            type: string
            title: Source Id
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PublicEvalConfigResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - LightsageApiKeyAuth: []
components:
  schemas:
    PublicEvalConfigResponse:
      properties:
        models:
          items:
            type: string
          type: array
          title: Models
        targets:
          items:
            $ref: '#/components/schemas/PublicApiEvalTarget'
          type: array
          title: Targets
        operation_ids:
          items:
            type: string
          type: array
          title: Operation Ids
        custom_eval_ids:
          items:
            type: string
          type: array
          title: Custom Eval Ids
        env_var_keys:
          items:
            type: string
          type: array
          title: Env Var Keys
        env_profiles:
          items:
            $ref: '#/components/schemas/PublicEvalEnvProfileSummary'
          type: array
          title: Env Profiles
        default_env_profile_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Default Env Profile Id
        source_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Source Id
        api_base_url:
          anyOf:
            - type: string
            - type: 'null'
          title: Api Base Url
        can_configure_per_model_schedules:
          type: boolean
          title: Can Configure Per Model Schedules
          default: false
      type: object
      required:
        - models
        - operation_ids
      title: PublicEvalConfigResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    PublicApiEvalTarget:
      properties:
        id:
          anyOf:
            - type: string
            - type: 'null'
          title: Id
        source_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Source Id
        target_type:
          type: string
          enum:
            - text
            - agent
          title: Target Type
        execution_platform:
          type: string
          title: Execution Platform
        model_id:
          type: string
          title: Model Id
        frequency:
          type: string
          enum:
            - daily
            - every_other_day
            - weekly
            - manual
          title: Frequency
          default: daily
        enabled:
          type: boolean
          title: Enabled
          default: true
        next_run_at:
          anyOf:
            - type: string
            - type: 'null'
          title: Next Run At
        last_run_at:
          anyOf:
            - type: string
            - type: 'null'
          title: Last Run At
        last_skipped_at:
          anyOf:
            - type: string
            - type: 'null'
          title: Last Skipped At
        skip_reason:
          anyOf:
            - type: string
            - type: 'null'
          title: Skip Reason
        created_at:
          anyOf:
            - type: string
            - type: 'null'
          title: Created At
        updated_at:
          anyOf:
            - type: string
            - type: 'null'
          title: Updated At
      type: object
      required:
        - target_type
        - execution_platform
        - model_id
      title: PublicApiEvalTarget
    PublicEvalEnvProfileSummary:
      properties:
        id:
          type: string
          title: Id
        name:
          type: string
          title: Name
        env_var_keys:
          items:
            type: string
          type: array
          title: Env Var Keys
      type: object
      required:
        - id
        - name
      title: PublicEvalEnvProfileSummary
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    LightsageApiKeyAuth:
      type: apiKey
      in: header
      name: X-Lightsage-Api-Key

````